#include "../explicitvectors.hh"

#include <dune/common/function.hh>

using Function = Dune::VirtualFunction<double, double>;

template std::shared_ptr<RateUpdater<Vector, Matrix, Function, MY_DIM>>
initRateUpdater<Vector, Matrix, Function, MY_DIM>(
    Config::scheme scheme,
    const std::vector<Function>& velocityDirichletFunctions,
    const std::vector<Dune::BitSetVector<dimension>>& velocityDirichletNodes,
    const Matrices<Matrix>& matrices,
    const std::vector<Vector>& u_initial,
    const std::vector<Vector>& v_initial,
    const std::vector<Vector>& a_initial);
